org.apache.fop.render.svg

## Interface SVGConstants

- All Superinterfaces:
    XMLConstants
  All Known Implementing Classes:
    AbstractSVGDocumentHandler, EmbeddedSVGImageHandler, SVGDataUrlImageHandler, SVGDocumentHandler, SVGPainter, SVGPrintDocumentHandler

      public interface SVGConstants
      extends XMLConstants

  Constants for the intermediate format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FILE_EXTENSION_SVG` File extension for SVG.
    `static java.lang.String` | `MIME_SVG_PRINT` MIME type for SVG Print.
    `static java.lang.String` | `MIME_TYPE` MIME type for SVG.
    `static java.lang.String` | `NAMESPACE` XML namespace for SVG.
    `static org.apache.xmlgraphics.util.QName` | `SVG_ELEMENT` the SVG element

    - ### Fields inherited from interface org.apache.fop.util.XMLConstants

      `CDATA, XLINK_HREF, XLINK_NAMESPACE, XLINK_PREFIX, XML_NAMESPACE, XML_PREFIX, XML_SPACE, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

- - ### Field Detail

    - #### MIME_TYPE

          static final java.lang.String MIME_TYPE

      MIME type for SVG.
      See Also:
        Constant Field Values

    - #### MIME_SVG_PRINT

          static final java.lang.String MIME_SVG_PRINT

      MIME type for SVG Print.
      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_SVG

          static final java.lang.String FILE_EXTENSION_SVG

      File extension for SVG.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          static final java.lang.String NAMESPACE

      XML namespace for SVG.
      See Also:
        Constant Field Values

    - #### SVG_ELEMENT

          static final org.apache.xmlgraphics.util.QName SVG_ELEMENT

      the SVG element

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.